Wakato Docs
API Reference

Calendar

GET
/calendar

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Query Parameters

start_date?string
end_date?string
category?string
search?string

Response Body

application/json

curl -X GET "https://example.com/calendar"
{}
POST
/calendar

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/calendar" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "start_at": "string"  }'
{}
PATCH
/calendar/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/calendar/string" \  -H "Content-Type: application/json" \  -d '{}'
{}
DELETE
/calendar/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

id*string

Response Body

application/json

curl -X DELETE "https://example.com/calendar/string"
{}